Vanilla 1 is no longer supported or maintained. If you need a copy, you can get it here.
HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Options

Upgrading to Vanilla 1 Issue

edited June 2006 in Vanilla 1.0 Help
I'm currently trying to upgrade my Vanilla 0.9.2 forum to Vanilla 1. Everything started out seamlessly until I got to Step 2 in which it tries to update the database. I get this error: "We came across some problems while upgrading Vanilla... It appears as though your Vanilla installation is missing some tables:" That's all it says. Now, I'm sure that the database settings in the form are correct. And as far as I know all of my tables are intact, since my forum was working perfectly fine before. The only time I have ever modified the Vanilla tables was when I migrated from phpBB, I imported everything and then had to tweak some entries. But I never removed any tables. Any ideas? Is it possible to just do a fresh install of Vanilla and then import all of my old posts and everything?

Comments

  • Options
    lechlech Chicagoland
    I think a better question is of "which" Vanilla v1 are you referring to? is this a pre-release version or directly from the SVN? at the moment don't do a thing until you answer that question.
  • Options
    pre-release from here: http://lussumo.com/download.php?Get=Vanilla.1.pre-release
  • Options
    edited June 2006
    Is that release the upgrader thingy?
  • Options
    It is yeah but i dont suggest using it. Svn has had some pretty big changes since that was made.
  • Options
    I'm having the same issue, upgrading from pre-1 to pre-2. These are the tables I have: lum_category lum_categoryblock lum_categoryroleblock lum_comment lum_discussion lum_discussionuserwhisperfrom lum_discussionuserwhisperto lum_iphistory lum_role lum_style lum_user lum_userbookmark lum_userdiscussionwatch lum_userrolehistory Am I really missing tables?
  • Options
    MarkMark Vanilla Staff
    to upgrade from pre1 to pre2, just copy the files on top of yours. Don't bother with any installers or upgraders


    like I said when I announced the second pre-release
  • Options
    /me feels stupid. Thanks Mark.
This discussion has been closed.